> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/common/growth/analytics/referrer.md).

# 流量来源 Referrer

当迷你应用启动时 `referrer` 作为参数传递流入路径。利用这个值可以了解用户通过什么路径进入迷你应用，并可按流入渠道进行分析。

### 引荐来源值列表

| 分类                         | referrer                        | 说明                        |
| -------------------------- | ------------------------------- | ------------------------- |
| 游戏首页                       | `gamehome`                      | 通过游戏首页访问                  |
| 搜索                         | `search`                        | 通过全部标签内的搜索栏访问             |
| 迷你应用首页                     | `miniapphome`                   | 通过迷你应用首页访问                |
| `store`                    | 通过商店访问                          |                           |
| 全部标签                       | `all_tab`                       | 通过全部标签访问                  |
| `all_tab_recent`           | 通过全部标签内的最近区域访问                  |                           |
| `all_tab_recent_all`       | 通过全部标签内最近区域的“查看更多”访问            |                           |
| `all_tab_reco_random`      | 通过进入全部标签时随机展示的推荐访问              |                           |
| `all_tab_reco_organic`     | 通过进入全部标签时展示的推荐访问                |                           |
| `all_tab_reco_inorganic`   | 通过引导至全部标签后展示的推荐访问               |                           |
| Toss支持促销活动                 | `airdrop`                       | 通过“一起打开Toss领取积分”的奖励好友访问   |
| `gamehome_via_airdrop`     | 通过“함토켜”落地到游戏首页半屏后点击访问           |                           |
| `miniapphome_via_airdrop`  | 通过“함토켜”落地到迷你应用首页半屏后点击访问         |                           |
| `store_via_airdrop`        | 通过“함토켜”落地到商店半屏后点击访问             |                           |
| Toss首页广告                   | `home_intelligence`             | 通过首页智能推荐访问                |
| `game_countdown`           | 通过首页智能推荐落地到游戏介绍页后，点击或5秒后自动访问    |                           |
| `gamehome_via_intelli`     | 通过首页智能推荐落地到游戏首页半屏后点击访问          |                           |
| `miniapphome_via_intelli`  | 通过首页智能推荐落地到迷你应用首页半屏后点击访问        |                           |
| `store_via_intelli`        | 通过首页智能推荐落地到商店半屏后点击访问            |                           |
| Toss Ads                   | `tossads`                       | 通过Toss Ads访问              |
| 推送通知                       | `inbox`                         | 通过Toss App内通知访问           |
| `push`                     | 通过Toss App外的推送访问                |                           |
| 福利标签                       | `benefit_tab`                   | 通过福利标签访问                  |
| 其他                         | `contacts_module`               | 通过Toss App内联系人模块功能分享的链接访问 |
| `external__owned_social`   | 通过Toss外部SNS访问                   |                           |
| `external__partner_social` | 通过外部合作方SNS访问                    |                           |
| `external_ads`             | 通过外部广告访问                        |                           |
| `external_link`            | 通过外部链接访问                        |                           |
| `external_search`          | 通过外部用户设备本身搜索访问                  |                           |
| `external_share`           | 通过迷你应用内以及迷你应用首页/游戏首页分享功能分享的链接访问 |                           |
| `minihome_appsintoss`      | 通过全部标签内的迷你首页访问                  |                           |
| `shortcut`                 | 通过设备内快捷方式访问                     |                           |
| `toss_news`                | 通过Toss新闻访问                      |                           |
| `tosspay_paybenefit`       | 通过Toss Pay内优惠券适用页面访问            |                           |
| `etc`                      | 其他                              |                           |
| `test`                     | 测试                              |                           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/common/growth/analytics/referrer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
